#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './activeheartconfig.ui'
**
** Created: Thu Mar 26 12:27:41 2009
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "activeheartconfig.h"

#include <qvariant.h>
#include <kdialog.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ActiveHeartConfigUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ActiveHeartConfigUI::ActiveHeartConfigUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ActiveHeartConfigUI" );
    ActiveHeartConfigUILayout = new QVBoxLayout( this, KDialog::marginHint(), KDialog::spacingHint(), "ActiveHeartConfigUILayout"); 

    useShadowedText = new QCheckBox( this, "useShadowedText" );
    ActiveHeartConfigUILayout->addWidget( useShadowedText );

    roundBottomCorners = new QCheckBox( this, "roundBottomCorners" );
    ActiveHeartConfigUILayout->addWidget( roundBottomCorners );

    advancedColoringMode = new QCheckBox( this, "advancedColoringMode" );
    ActiveHeartConfigUILayout->addWidget( advancedColoringMode );

    useSeamlessBorder = new QCheckBox( this, "useSeamlessBorder" );
    ActiveHeartConfigUILayout->addWidget( useSeamlessBorder );
    unnamedLayout = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "unnamedLayout"); 

    titlebarHeightOffsetLabel = new QLabel( this, "titlebarHeightOffsetLabel" );
    titlebarHeightOffsetLabel->setGeometry( QRect( 10, 70, 290, 30 ) );
    titlebarHeightOffsetLabel->setMaximumSize( QSize( 290, 32767 ) );
    titlebarHeightOffsetLabel->setMinimumSize( QSize( 290, 16 ) );
    unnamedLayout->addWidget( titlebarHeightOffsetLabel );

    titlebarHeightOffset = new QSpinBox( this, "titlebarHeightOffset" );
    titlebarHeightOffset->setGeometry( QRect( 310, 70, 40, 30 ) );
    titlebarHeightOffset->setMaximumSize( QSize( 40, 32767 ) );
    titlebarHeightOffset->setMaxValue( 10 );
    titlebarHeightOffset->setMinValue( -8 );
    titlebarHeightOffset->setLineStep( 1 );
    unnamedLayout->addWidget( titlebarHeightOffset );

    titlebarHeightOffsetDummy = new QLabel( this, "titlebarHeightOffsetDummy" );
    unnamedLayout->addWidget( titlebarHeightOffsetDummy );
    ActiveHeartConfigUILayout->addLayout( unnamedLayout );
    languageChange();
    resize( QSize(387, 142).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ActiveHeartConfigUI::~ActiveHeartConfigUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ActiveHeartConfigUI::languageChange()
{
    setCaption( tr2i18n( "ActiveHeart" ) );
    useShadowedText->setText( tr2i18n( "Use shadowed &text" ) );
    QWhatsThis::add( useShadowedText, tr2i18n( "Check this option if you want the titlebar text to have a 3D look with a shadow behind it." ) );
    roundBottomCorners->setText( tr2i18n( "&Round the bottom corners" ) );
    QWhatsThis::add( roundBottomCorners, tr2i18n( "Check this option if you want to round the bottom corners." ) );
    advancedColoringMode->setText( tr2i18n( "Use the ad&vanced coloring mode." ) );
    QWhatsThis::add( advancedColoringMode, tr2i18n( "If you check this option, coloring of this windeco is as follows.\n"
"-Titlebars uses the titlebar color.\n"
"-Text shadows uses the title-blend color.\n"
"-Window borders uses the window-frame color.\n"
"-Titlebar buttons uses the title-button color." ) );
    useSeamlessBorder->setText( tr2i18n( "Use &seamless borders." ) );
    QWhatsThis::add( useSeamlessBorder, tr2i18n( "Check this option if you want to make borders seamless." ) );
    titlebarHeightOffsetLabel->setText( tr2i18n( "Offset of titlebar height: " ) );
    titlebarHeightOffsetDummy->setText( QString::null );
}

#include "activeheartconfig.moc"
